#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393720.4755139
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:40 2011'
__CHEETAH_src__ = 'templates/filter_form.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  4 08:41:20 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class filter_form(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        conc.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance: Filter form")
        _v = VFFSL(SL,"_",False)("Concordance: Filter form") # '$_("Concordance: Filter form")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$_("Concordance: Filter form")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write("""cmdSwitchQuery();loadHideElementStoreSimple();loadHideElementStore('""")
        _v = VFFSL(SL,"files_path",True) # '${files_path}' on line 11, col 69
        if _v is not None: write(_filter(_v, rawExpr='${files_path}')) # from line 11, col 69.
        write("""');""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def helpblock(self, **KWS):



        ## CHEETAH: generated from #def helpblock at line 14, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 15, col 3
            write('''  <li class="context_help"><a href="''')
            _v = VFFSL(SL,"helpsite",True) # '${helpsite}' on line 16, col 37
            if _v is not None: write(_filter(_v, rawExpr='${helpsite}')) # from line 16, col 37.
            write('''filterconc" rel="help">''')
            if False:
                _("? Help on Filter form")
            _v = VFFSL(SL,"_",False)("? Help on Filter form") # '$_("? Help on Filter form")' on line 16, col 71
            if _v is not None: write(_filter(_v, rawExpr='$_("? Help on Filter form")')) # from line 16, col 71.
            write('''</a></li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 20, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_48537080 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 22, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 22, col 14.
        write('''/js/prototype-1.3.1.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 23, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 23, col 14.
        write('''/js/util.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 24, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 24, col 14.
        write('''/js/effects.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 25, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 25, col 14.
        write('''/js/controls.js" type="text/javascript"></script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_48537080
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''  <li>''')
        if False:
            _("Expert options:")
        _v = VFFSL(SL,"_",False)("Expert options:") # '$_("Expert options:")' on line 30, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Expert options:")')) # from line 30, col 7.
        write('''
    <ul class="submenu">
      <li><a onclick="cmdHideElementStoreSimple(\'querytypeel\', 1);">''')
        if False:
            _("Query Type")
        _v = VFFSL(SL,"_",False)("Query Type") # '$_("Query Type")' on line 32, col 69
        if _v is not None: write(_filter(_v, rawExpr='$_("Query Type")')) # from line 32, col 69.
        write('''</a></li>
      <li><a onclick="cmdHideElementStoreSimple(\'texttypeel\', 1);" >''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # '$_("Text Types")' on line 33, col 69
        if _v is not None: write(_filter(_v, rawExpr='$_("Text Types")')) # from line 33, col 69.
        write('''</a></li>
    </ul>
  </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 38, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_78140088 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<h3>''')
        if False:
            _("Concordance Filter")
        _v = VFFSL(SL,"_",False)("Concordance Filter") # '$_("Concordance Filter")' on line 40, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Concordance Filter")')) # from line 40, col 5.
        write('''</h3>
<form action="filter">
<fieldset>
''')
        _orig_filter_35720216 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # '$input_hidden' on line 44, col 1
        if _v is not None: write(_filter(_v, rawExpr='$input_hidden')) # from line 44, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_35720216
        write('''
<table class="form">
<tbody>
<tr class="required">
  <th>''')
        if False:
            _("Filter")
        _v = VFFSL(SL,"_",False)("Filter") # '$_("Filter")' on line 50, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Filter")')) # from line 50, col 7.
        write(''':</th>
    <td><label><input type="radio" name="pnfilter" value="p"
''')
        if VFFSL(SL,"pnfilter",True) == 'p': # generated from line 52, col 5
            write('''      checked="checked"
''')
        write('''    /> ''')
        if False:
            _("positive")
        _v = VFFSL(SL,"_",False)("positive") # '$_("positive")' on line 55, col 8
        if _v is not None: write(_filter(_v, rawExpr='$_("positive")')) # from line 55, col 8.
        write('''</label>
    <label><input type="radio" name="pnfilter" value="n"
''')
        if VFFSL(SL,"pnfilter",True) == 'n': # generated from line 57, col 5
            write('''      checked="checked"
''')
        write('''    /> ''')
        if False:
            _("negative")
        _v = VFFSL(SL,"_",False)("negative") # '$_("negative")' on line 60, col 8
        if _v is not None: write(_filter(_v, rawExpr='$_("negative")')) # from line 60, col 8.
        write('''</label></td></tr>
    
<tr>
  <th>''')
        if False:
            _("Selected token")
        _v = VFFSL(SL,"_",False)("Selected token") # '$_("Selected token")' on line 63, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Selected token")')) # from line 63, col 7.
        write(''':</th>
    <td><label><input type="radio" name="filfl" value="f" 
''')
        if VFFSL(SL,"filfl",True) == 'f': # generated from line 65, col 5
            write('''      checked="checked"
''')
        write('''    /> ''')
        if False:
            _("first")
        _v = VFFSL(SL,"_",False)("first") # '$_("first")' on line 68, col 8
        if _v is not None: write(_filter(_v, rawExpr='$_("first")')) # from line 68, col 8.
        write('''</label>
    <label><input type="radio" name="filfl" value="l" 
''')
        if VFFSL(SL,"filfl",True) == 'l': # generated from line 70, col 5
            write('''      checked="checked"
''')
        write('''    />  ''')
        if False:
            _("last")
        _v = VFFSL(SL,"_",False)("last") # '$_("last")' on line 73, col 9
        if _v is not None: write(_filter(_v, rawExpr='$_("last")')) # from line 73, col 9.
        write('''</label></td></tr>
<tr><th>''')
        if False:
            _("Search Span")
        _v = VFFSL(SL,"_",False)("Search Span") # '$_("Search Span")' on line 74, col 9
        if _v is not None: write(_filter(_v, rawExpr='$_("Search Span")')) # from line 74, col 9.
        write(''':</th>
    <td>
    ''')
        if False:
            _("from")
        _v = VFFSL(SL,"_",False)("from") # '$_("from")' on line 76, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("from")')) # from line 76, col 5.
        write(''' <input type="text" name="filfpos" size="4" value="''')
        _v = VFFSL(SL,"filfpos",True) # '$filfpos' on line 76, col 66
        if _v is not None: write(_filter(_v, rawExpr='$filfpos')) # from line 76, col 66.
        write('''" />
    ''')
        if False:
            _("to")
        _v = VFFSL(SL,"_",False)("to") # '$_("to")' on line 77, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("to")')) # from line 77, col 5.
        write(''' <input type="text" name="filtpos" size="4" value="''')
        _v = VFFSL(SL,"filtpos",True) # '$filtpos' on line 77, col 64
        if _v is not None: write(_filter(_v, rawExpr='$filtpos')) # from line 77, col 64.
        write('''" />
    </td>
</tr>
</tbody>
''')
        _orig_filter_37327950 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"query_node",True) # '$query_node' on line 82, col 1
        if _v is not None: write(_filter(_v, rawExpr='$query_node')) # from line 82, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_37327950
        write('''</table>

''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 86, col 1
            showhiddenlistsimple = VFN(VFFSL(SL,"getVar",False)("showhidsim", ''),"split",False)(".")
            hidden = ('texttypeel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
            write('''  <div class="advanced_options''')
            _v = VFFSL(SL,"hidden",True) # '$hidden' on line 89, col 31
            if _v is not None: write(_filter(_v, rawExpr='$hidden')) # from line 89, col 31.
            write('''" id="texttypeel">
  <h3>''')
            if False:
                _("Text Types")
            _v = VFFSL(SL,"_",False)("Text Types") # '$_("Text Types")' on line 90, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Text Types")')) # from line 90, col 7.
            write('''</h3>

<div class="indent">
''')
            _orig_filter_48421279 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"tt_sel",True) # '$tt_sel' on line 94, col 1
            if _v is not None: write(_filter(_v, rawExpr='$tt_sel')) # from line 94, col 1.
            write('''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_48421279
            write('''</div>

  </div>
''')
        write('''
<div class="buttons">
  <input class="submit" type="submit" value="''')
        if False:
            _("Filter Concordance")
        _v = VFFSL(SL,"_",False)("Filter Concordance") # '$_("Filter Concordance")' on line 102, col 46
        if _v is not None: write(_filter(_v, rawExpr='$_("Filter Concordance")')) # from line 102, col 46.
        write('''" />
</div>
</fieldset>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_78140088
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''






''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "cmdGetFocusedId()"

    _mainCheetahMethod_for_filter_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(filter_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(filter_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(filter_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=filter_form()).run()


