#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.leftmenu import leftmenu

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393718.5640531
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:38 2011'
__CHEETAH_src__ = 'templates/first_form.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  4 08:41:20 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class first_form(leftmenu):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        leftmenu.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Concordance - First query form")
        _v = VFFSL(SL,"_",False)("Concordance - First query form") # '$_("Concordance - First query form")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$_("Concordance - First query form")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write("""cmdSwitchQuery();loadHideElementStoreSimple();loadHideElementStore('""")
        _v = VFFSL(SL,"files_path",True) # '${files_path}' on line 11, col 69
        if _v is not None: write(_filter(_v, rawExpr='${files_path}')) # from line 11, col 69.
        write("""');""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 14, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_41081445 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 16, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 16, col 14.
        write('''/js/prototype-1.3.1.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 17, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 17, col 14.
        write('''/js/util.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 18, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 18, col 14.
        write('''/js/effects.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 19, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 19, col 14.
        write('''/js/controls.js" type="text/javascript"></script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_41081445
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 23, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 24, col 3
            write('''  <li class="context_help"><a href="''')
            _v = VFFSL(SL,"helpsite",True) # '${helpsite}' on line 25, col 37
            if _v is not None: write(_filter(_v, rawExpr='${helpsite}')) # from line 25, col 37.
            write('''ConcordanceQuery" rel="help">''')
            if False:
                _("? Help on Expert Options")
            _v = VFFSL(SL,"_",False)("? Help on Expert Options") # '$_("? Help on Expert Options")' on line 25, col 77
            if _v is not None: write(_filter(_v, rawExpr='$_("? Help on Expert Options")')) # from line 25, col 77.
            write('''</a></li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 29, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''  <li>''')
        if False:
            _("Expert options")
        _v = VFFSL(SL,"_",False)("Expert options") # '$_("Expert options")' on line 30, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Expert options")')) # from line 30, col 7.
        write(''':
    <ul class="submenu">
      <li><a onclick="cmdHideElementStoreSimple(\'querytypeel\', 1);">''')
        if False:
            _("Query Type")
        _v = VFFSL(SL,"_",False)("Query Type") # '$_("Query Type")' on line 32, col 69
        if _v is not None: write(_filter(_v, rawExpr='$_("Query Type")')) # from line 32, col 69.
        write('''</a></li>
      <li><a onclick="cmdHideElementStoreSimple(\'contextel\', 1);">''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # '$_("Context")' on line 33, col 67
        if _v is not None: write(_filter(_v, rawExpr='$_("Context")')) # from line 33, col 67.
        write('''</a></li>
      <li><a onclick="cmdHideElementStoreSimple(\'texttypeel\', 1);" >''')
        if False:
            _("Text Types")
        _v = VFFSL(SL,"_",False)("Text Types") # '$_("Text Types")' on line 34, col 69
        if _v is not None: write(_filter(_v, rawExpr='$_("Text Types")')) # from line 34, col 69.
        write('''</a></li>
    </ul>
  </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 40, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_57033828 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<form id="mainform" action="first">
<fieldset>
<table class="form">
''')
        _orig_filter_93690144 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"corp_sel_node",True) # '$corp_sel_node' on line 46, col 1
        if _v is not None: write(_filter(_v, rawExpr='$corp_sel_node')) # from line 46, col 1.
        write('''
''')
        _v = VFFSL(SL,"query_node",True) # '$query_node' on line 47, col 1
        if _v is not None: write(_filter(_v, rawExpr='$query_node')) # from line 47, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_93690144
        write('''</table>
''')
        showhiddenlistsimple = VFN(VFFSL(SL,"getVar",False)("showhidsim", ''),"split",False)(".")
        hidden = ('contextel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
        write('''
<div class="advanced_options''')
        _v = VFFSL(SL,"hidden",True) # '$hidden' on line 53, col 29
        if _v is not None: write(_filter(_v, rawExpr='$hidden')) # from line 53, col 29.
        write('''" id="contextel">
<h3>''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # '$_("Context")' on line 54, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Context")')) # from line 54, col 5.
        write('''</h3>

<div class="indent">
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 57, col 1
            write('''  <h4>''')
            if False:
                _("Lemma filter")
            _v = VFFSL(SL,"_",False)("Lemma filter") # '$_("Lemma filter")' on line 58, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Lemma filter")')) # from line 58, col 7.
            write('''</h4>
''')
        else: # generated from line 59, col 1
            write('''  <h4>''')
            if False:
                _("Word form filter")
            _v = VFFSL(SL,"_",False)("Word form filter") # '$_("Word form filter")' on line 60, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Word form filter")')) # from line 60, col 7.
            write('''</h4>
''')
        write('''  <div class="indent">
  <table class="form">
    <tr>
      <th align="left">''')
        if False:
            _("Window")
        _v = VFFSL(SL,"_",False)("Window") # '$_("Window")' on line 65, col 24
        if _v is not None: write(_filter(_v, rawExpr='$_("Window")')) # from line 65, col 24.
        write(''':</th>
      <td><select name="fc_lemword_window_type">
         <option value="left" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'left' : # generated from line 67, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("left")
        _v = VFFSL(SL,"_",False)("left") # '$_("left")' on line 67, col 106
        if _v is not None: write(_filter(_v, rawExpr='$_("left")')) # from line 67, col 106.
        write('''</option>
         <option value="right" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'right' : # generated from line 68, col 32
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("right")
        _v = VFFSL(SL,"_",False)("right") # '$_("right")' on line 68, col 108
        if _v is not None: write(_filter(_v, rawExpr='$_("right")')) # from line 68, col 108.
        write('''</option>
         <option value="both" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'both' : # generated from line 69, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("both")
        _v = VFFSL(SL,"_",False)("both") # '$_("both")' on line 69, col 106
        if _v is not None: write(_filter(_v, rawExpr='$_("both")')) # from line 69, col 106.
        write('''</option>
       </select>
       <select name="fc_lemword_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
        if False:
            _("tokens")
        _v = VFFSL(SL,"_",False)("tokens") # '$_("tokens")' on line 81, col 8
        if _v is not None: write(_filter(_v, rawExpr='$_("tokens")')) # from line 81, col 8.
        write('''.
      </td>
    </tr>
    <tr>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 85, col 1
            write('''      <th align="left">''')
            if False:
                _("Lemma(s)")
            _v = VFFSL(SL,"_",False)("Lemma(s)") # '$_("Lemma(s)")' on line 86, col 24
            if _v is not None: write(_filter(_v, rawExpr='$_("Lemma(s)")')) # from line 86, col 24.
            write(''':</th>
''')
        else: # generated from line 87, col 1
            write('''      <th align="left">''')
            if False:
                _("Word form(s)")
            _v = VFFSL(SL,"_",False)("Word form(s)") # '$_("Word form(s)")' on line 88, col 24
            if _v is not None: write(_filter(_v, rawExpr='$_("Word form(s)")')) # from line 88, col 24.
            write(''':</th>
''')
        write('''      <td>
      <input type="text" name="fc_lemword" />
      <select name="fc_lemword_type">
         <option value="all" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'all' : # generated from line 93, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("all")
        _v = VFFSL(SL,"_",False)("all") # '$_("all")' on line 93, col 97
        if _v is not None: write(_filter(_v, rawExpr='$_("all")')) # from line 93, col 97.
        write('''</option>
         <option value="any" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'any' : # generated from line 94, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("any")
        _v = VFFSL(SL,"_",False)("any") # '$_("any")' on line 94, col 97
        if _v is not None: write(_filter(_v, rawExpr='$_("any")')) # from line 94, col 97.
        write('''</option>
         <option value="none" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'none' : # generated from line 95, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(''' >''')
        if False:
            _("none")
        _v = VFFSL(SL,"_",False)("none") # '$_("none")' on line 95, col 99
        if _v is not None: write(_filter(_v, rawExpr='$_("none")')) # from line 95, col 99.
        write('''</option>
       </select>
       ''')
        if False:
            _("of these items")
        _v = VFFSL(SL,"_",False)("of these items") # '$_("of these items")' on line 97, col 8
        if _v is not None: write(_filter(_v, rawExpr='$_("of these items")')) # from line 97, col 8.
        write('''.
      </td>
    </tr>
  </table>
  </div>

''')
        if VFFSL(SL,"Wposlist",True): # generated from line 103, col 1
            write('''  <h4>''')
            if False:
                _("PoS filter")
            _v = VFFSL(SL,"_",False)("PoS filter") # '$_("PoS filter")' on line 104, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("PoS filter")')) # from line 104, col 7.
            write('''</h4>
  <div class="indent">
  <table class="form">
    <tr>
      <th align="left">''')
            if False:
                _("Window")
            _v = VFFSL(SL,"_",False)("Window") # '$_("Window")' on line 108, col 24
            if _v is not None: write(_filter(_v, rawExpr='$_("Window")')) # from line 108, col 24.
            write(''':</th>
      <td colspan="2"><select name="fc_pos_window_type">
         <option value="left" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'left' : # generated from line 110, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("left")
            _v = VFFSL(SL,"_",False)("left") # '$_("left")' on line 110, col 102
            if _v is not None: write(_filter(_v, rawExpr='$_("left")')) # from line 110, col 102.
            write('''</option>
         <option value="right" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'right' : # generated from line 111, col 32
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("right")
            _v = VFFSL(SL,"_",False)("right") # '$_("right")' on line 111, col 104
            if _v is not None: write(_filter(_v, rawExpr='$_("right")')) # from line 111, col 104.
            write('''</option>
         <option value="both" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'both' : # generated from line 112, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("both")
            _v = VFFSL(SL,"_",False)("both") # '$_("both")' on line 112, col 102
            if _v is not None: write(_filter(_v, rawExpr='$_("both")')) # from line 112, col 102.
            write('''</option>
       </select>
       <select name="fc_pos_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
            if False:
                _("tokens")
            _v = VFFSL(SL,"_",False)("tokens") # '$_("tokens")' on line 124, col 8
            if _v is not None: write(_filter(_v, rawExpr='$_("tokens")')) # from line 124, col 8.
            write('''.
      </td>
    </tr>
    <tr>
      <th align="left" valign="top">''')
            if False:
                _("PoS")
            _v = VFFSL(SL,"_",False)("PoS") # '$_("PoS")' on line 128, col 37
            if _v is not None: write(_filter(_v, rawExpr='$_("PoS")')) # from line 128, col 37.
            write(''':<br/><span class="explanation">(''')
            if False:
                _("use Ctrl+click for")
            _v = VFFSL(SL,"_",False)("use Ctrl+click for") # '$_("use Ctrl+click for")' on line 128, col 79
            if _v is not None: write(_filter(_v, rawExpr='$_("use Ctrl+click for")')) # from line 128, col 79.
            write(''' <br/>
''')
            if False:
                _("multiple selection")
            _v = VFFSL(SL,"_",False)("multiple selection") # '$_("multiple selection")' on line 129, col 1
            if _v is not None: write(_filter(_v, rawExpr='$_("multiple selection")')) # from line 129, col 1.
            write(''')</span></th>
    <td><select name="fc_pos" size="4" multiple="multiple" title="''')
            if False:
                _("Select one or more PoS tags")
            _v = VFFSL(SL,"_",False)("Select one or more PoS tags") # '$_("Select one or more PoS tags")' on line 130, col 67
            if _v is not None: write(_filter(_v, rawExpr='$_("Select one or more PoS tags")')) # from line 130, col 67.
            write('''">
''')
            for w in VFFSL(SL,"Wposlist",True): # generated from line 131, col 5
                write('''      <option>''')
                if False:
                    _(VFFSL(SL,"w",True)['n'])
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"w",True)['n']) # "$_($w['n'])" on line 132, col 15
                if _v is not None: write(_filter(_v, rawExpr="$_($w['n'])")) # from line 132, col 15.
                write('''</option>
''')
            write('''      </select>
    </td>
    <td valign="top">
      <select name="fc_pos_type">
         <option value="all" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'all' : # generated from line 138, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("all")
            _v = VFFSL(SL,"_",False)("all") # '$_("all")' on line 138, col 93
            if _v is not None: write(_filter(_v, rawExpr='$_("all")')) # from line 138, col 93.
            write('''</option>
         <option value="any" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'any' : # generated from line 139, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("any")
            _v = VFFSL(SL,"_",False)("any") # '$_("any")' on line 139, col 93
            if _v is not None: write(_filter(_v, rawExpr='$_("any")')) # from line 139, col 93.
            write('''</option>
         <option value="none" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'none' : # generated from line 140, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(''' >''')
            if False:
                _("none")
            _v = VFFSL(SL,"_",False)("none") # '$_("none")' on line 140, col 95
            if _v is not None: write(_filter(_v, rawExpr='$_("none")')) # from line 140, col 95.
            write('''</option>
       </select>
       ''')
            if False:
                _("of these items")
            _v = VFFSL(SL,"_",False)("of these items") # '$_("of these items")' on line 142, col 8
            if _v is not None: write(_filter(_v, rawExpr='$_("of these items")')) # from line 142, col 8.
            write('''.
      </td>
    </tr>
  </table>
  </div>
''')
        write('''</div>
</div>


''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 152, col 1
            hidden = ('texttypeel' in VFFSL(SL,"showhiddenlistsimple",True)) and ' visible' or ' hidden'
            write('''  <div class="advanced_options''')
            _v = VFFSL(SL,"hidden",True) # '$hidden' on line 154, col 31
            if _v is not None: write(_filter(_v, rawExpr='$hidden')) # from line 154, col 31.
            write('''" id="texttypeel">
  <h3>''')
            if False:
                _("Text Types")
            _v = VFFSL(SL,"_",False)("Text Types") # '$_("Text Types")' on line 155, col 7
            if _v is not None: write(_filter(_v, rawExpr='$_("Text Types")')) # from line 155, col 7.
            write('''</h3>

  <div class="indent">
  <table><tr>
  <th>
  ''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # '$_("Subcorpus")' on line 160, col 3
            if _v is not None: write(_filter(_v, rawExpr='$_("Subcorpus")')) # from line 160, col 3.
            write(''':
''')
            _orig_filter_20772257 = _filter
            _filter = self._CHEETAH__initialFilter
            write('''  ''')
            _v = VFFSL(SL,"subcorp_sel",True) # '$subcorp_sel' on line 162, col 3
            if _v is not None: write(_filter(_v, rawExpr='$subcorp_sel')) # from line 162, col 3.
            write('''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_20772257
            write('''  </th></tr>
<tr><td>

''')
            _orig_filter_91763582 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"tt_sel",True) # '$tt_sel' on line 168, col 1
            if _v is not None: write(_filter(_v, rawExpr='$tt_sel')) # from line 168, col 1.
            write('''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_91763582
            write('''
</td></tr>
</table>
</div>
</div>
''')
        write('''
<div class="buttons">
<input class="submit" type="submit" value="''')
        if False:
            _("Make Concordance")
        _v = VFFSL(SL,"_",False)("Make Concordance") # '$_("Make Concordance")' on line 178, col 44
        if _v is not None: write(_filter(_v, rawExpr='$_("Make Concordance")')) # from line 178, col 44.
        write('''" />
<input class="button" type="button" value="''')
        if False:
            _("Clear All")
        _v = VFFSL(SL,"_",False)("Clear All") # '$_("Clear All")' on line 179, col 44
        if _v is not None: write(_filter(_v, rawExpr='$_("Clear All")')) # from line 179, col 44.
        write('''" onclick="clearForm(document.getElementById(\'mainform\'));cmdSwitchQuery();" />
</div>
</fieldset>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_57033828
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "cmdGetFocusedId()"

    _mainCheetahMethod_for_first_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(first_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(first_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(first_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=first_form()).run()


