#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393718.1917231
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:38 2011'
__CHEETAH_src__ = 'templates/freqs.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  4 08:41:20 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freqs(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        conc.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # '$_("Frequency list")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$_("Frequency list")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_52377856 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<li><a title="''')
        if False:
            _("Save Frequency list to a text file or XML")
        _v = VFFSL(SL,"_",False)("Save Frequency list to a text file or XML") # '$_("Save Frequency list to a text file or XML")' on line 12, col 15
        if _v is not None: write(_filter(_v, rawExpr='$_("Save Frequency list to a text file or XML")')) # from line 12, col 15.
        write('''" href="savefreq_form?''')
        _v = VFFSL(SL,"q",True) # '$q' on line 12, col 84
        if _v is not None: write(_filter(_v, rawExpr='$q')) # from line 12, col 84.
        write(''';''')
        _v = VFFSL(SL,"globals",True) # '$globals' on line 12, col 87
        if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 12, col 87.
        write(''';''')
        _v = VFFSL(SL,"fcrit",True) # '$fcrit' on line 12, col 96
        if _v is not None: write(_filter(_v, rawExpr='$fcrit')) # from line 12, col 96.
        write(''';ml=''')
        _v = VFFSL(SL,"ml",True) # '$ml' on line 12, col 106
        if _v is not None: write(_filter(_v, rawExpr='$ml')) # from line 12, col 106.
        write('''&amp;flimit=''')
        _v = VFFSL(SL,"flimit",True) # '$flimit' on line 12, col 121
        if _v is not None: write(_filter(_v, rawExpr='$flimit')) # from line 12, col 121.
        write('''&amp;freq_sort=''')
        _v = VFFSL(SL,"freq_sort",True) # '$freq_sort' on line 12, col 143
        if _v is not None: write(_filter(_v, rawExpr='$freq_sort')) # from line 12, col 143.
        write('''&amp;fpage=''')
        _v = VFFSL(SL,"fpage",True) # '$fpage' on line 12, col 164
        if _v is not None: write(_filter(_v, rawExpr='$fpage')) # from line 12, col 164.
        write('''&amp;ftt_include_empty=''')
        _v = VFFSL(SL,"ftt_include_empty",True) # '$ftt_include_empty' on line 12, col 193
        if _v is not None: write(_filter(_v, rawExpr='$ftt_include_empty')) # from line 12, col 193.
        write('''">''')
        if False:
            _("Save")
        _v = VFFSL(SL,"_",False)("Save") # '$_("Save")' on line 12, col 213
        if _v is not None: write(_filter(_v, rawExpr='$_("Save")')) # from line 12, col 213.
        write('''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_52377856
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 39, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"paging",True) and (VFFSL(SL,"fpage",True) > 1 or not VFFSL(SL,"lastpage",True)): # generated from line 40, col 1
            write('''<div class="bonito-pagination">
<form action="freqs">
<fieldset class="float">
''')
            if VFFSL(SL,"fpage",True) > 1: # generated from line 44, col 3
                write('''    <div class="bonito-pagination-left">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 46, col 14
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 46, col 14.
                write('''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # '$_("<< First")' on line 46, col 24
                if _v is not None: write(_filter(_v, rawExpr='$_("<< First")')) # from line 46, col 24.
                write('''</a> |
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 47, col 14
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 47, col 14.
                write(''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) - 1 # '$(int($fpage) - 1)' on line 47, col 29
                if _v is not None: write(_filter(_v, rawExpr='$(int($fpage) - 1)')) # from line 47, col 29.
                write('''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # '$_("< Previous")' on line 47, col 49
                if _v is not None: write(_filter(_v, rawExpr='$_("< Previous")')) # from line 47, col 49.
                write('''</a>
    </div>
''')
            write('''
<div class="bonito-pagination-core">
''')
            _orig_filter_90430150 = _filter
            _filter = self._CHEETAH__initialFilter
            write('''  ''')
            _v = VFFSL(SL,"input_hidden",True) # '$input_hidden' on line 53, col 3
            if _v is not None: write(_filter(_v, rawExpr='$input_hidden')) # from line 53, col 3.
            write('''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_90430150
            for fcr in VFFSL(SL,"FCrit",True): # generated from line 55, col 3
                write('''    <input type="hidden" name="fcrit" value="''')
                _v = VFFSL(SL,"fcr",True)['fcrit'] # "$fcr['fcrit']" on line 56, col 46
                if _v is not None: write(_filter(_v, rawExpr="$fcr['fcrit']")) # from line 56, col 46.
                write('''" />
''')
            write('''    <input type="hidden" name="flimit" value=\'''')
            _v = VFFSL(SL,"flimit",True) # '$flimit' on line 58, col 47
            if _v is not None: write(_filter(_v, rawExpr='$flimit')) # from line 58, col 47.
            write('''\' />
    <input type="hidden" name="freq_sort" value=\'''')
            _v = VFFSL(SL,"freq_sort",True) # '$freq_sort' on line 59, col 50
            if _v is not None: write(_filter(_v, rawExpr='$freq_sort')) # from line 59, col 50.
            write('''\' />
    <input type="hidden" name="ml" value=\'''')
            _v = VFFSL(SL,"ml",True) # '$ml' on line 60, col 43
            if _v is not None: write(_filter(_v, rawExpr='$ml')) # from line 60, col 43.
            write("""' />

    """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # '$_("Page")' on line 62, col 5
            if _v is not None: write(_filter(_v, rawExpr='$_("Page")')) # from line 62, col 5.
            write('''
    <input type="text" name="fpage" value="''')
            _v = VFFSL(SL,"fpage",True) # '$fpage' on line 63, col 44
            if _v is not None: write(_filter(_v, rawExpr='$fpage')) # from line 63, col 44.
            write('''" size="4" />
    <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # '$_("Go")' on line 64, col 33
            if _v is not None: write(_filter(_v, rawExpr='$_("Go")')) # from line 64, col 33.
            write('''" /> 
</div>
  
''')
            if not VFFSL(SL,"lastpage",True): # generated from line 67, col 3
                write('''  <div class="bonito-pagination-right">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # '$allhref' on line 69, col 14
                if _v is not None: write(_filter(_v, rawExpr='$allhref')) # from line 69, col 14.
                write(''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) + 1 # '$(int($fpage) + 1)' on line 69, col 29
                if _v is not None: write(_filter(_v, rawExpr='$(int($fpage) + 1)')) # from line 69, col 29.
                write('''" id="''')
                _v = VFFSL(SL,"navid",True) # '$navid' on line 69, col 53
                if _v is not None: write(_filter(_v, rawExpr='$navid')) # from line 69, col 53.
                write('''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # '$_("Next >")' on line 69, col 61
                if _v is not None: write(_filter(_v, rawExpr='$_("Next >")')) # from line 69, col 61.
                write('''</a>
  </div>
''')
            else: # generated from line 71, col 3
                write('''  <a id="''')
                _v = VFFSL(SL,"navid",True) # '$navid' on line 72, col 10
                if _v is not None: write(_filter(_v, rawExpr='$navid')) # from line 72, col 10.
                write('''"></a>
''')
            write('''</fieldset>
</form>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 17, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_57794189 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        self._CHEETAH__globalSetVars["allhref"] = 'freqs?%s;%s;%s;flimit=%s;freq_sort=%s;ml=%s' % (VFFSL(SL,"q",True), VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True))
        write('''
<h3>''')
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # '$_("Frequency list")' on line 21, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Frequency list")')) # from line 21, col 5.
        write('''</h3>

<form action="freqs">
<fieldset class="float">
''')
        _orig_filter_60153438 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # '$input_hidden' on line 26, col 1
        if _v is not None: write(_filter(_v, rawExpr='$input_hidden')) # from line 26, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_60153438
        for f in VFFSL(SL,"FCrit",True): # generated from line 28, col 3
            write('''        <input type="hidden" name="fcrit" value="''')
            _v = VFFSL(SL,"f",True)['fcrit'] # "$f['fcrit']" on line 29, col 50
            if _v is not None: write(_filter(_v, rawExpr="$f['fcrit']")) # from line 29, col 50.
            write('''" />
''')
        write('''        <input type="hidden" name="ml" value="''')
        _v = VFFSL(SL,"ml",True) # '$ml' on line 31, col 47
        if _v is not None: write(_filter(_v, rawExpr='$ml')) # from line 31, col 47.
        write('''" />
        <input type="hidden" name="ftt_include_empty" value="''')
        _v = VFFSL(SL,"ftt_include_empty",True) # '$ftt_include_empty' on line 32, col 62
        if _v is not None: write(_filter(_v, rawExpr='$ftt_include_empty')) # from line 32, col 62.
        write('''" />
  ''')
        if False:
            _("Frequency limit")
        _v = VFFSL(SL,"_",False)("Frequency limit") # '$_("Frequency limit")' on line 33, col 3
        if _v is not None: write(_filter(_v, rawExpr='$_("Frequency limit")')) # from line 33, col 3.
        write(''': <input type="text" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # '$flimit' on line 33, col 66
        if _v is not None: write(_filter(_v, rawExpr='$flimit')) # from line 33, col 66.
        write('''" size="7" />
  <input type="submit" value="''')
        if False:
            _("Set limit")
        _v = VFFSL(SL,"_",False)("Set limit") # '$_("Set limit")' on line 34, col 31
        if _v is not None: write(_filter(_v, rawExpr='$_("Set limit")')) # from line 34, col 31.
        write('''" />
</fieldset>
</form>


''')
        self.navigation(trans=trans)
        write('''


<table class="result">
''')
        for b in VFFSL(SL,"Blocks",True): # generated from line 83, col 1
            write('''  <tr>
  <th></th>
''')
            for h in VFFSL(SL,"b",True)['Head']: # generated from line 86, col 3
                write('''    <th><a href="freqs?''')
                _v = VFFSL(SL,"q",True) # '$q' on line 87, col 24
                if _v is not None: write(_filter(_v, rawExpr='$q')) # from line 87, col 24.
                write(''';''')
                _v = VFFSL(SL,"globals",True) # '$globals' on line 87, col 27
                if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 87, col 27.
                write(''';''')
                _v = VFFSL(SL,"fcrit",True) # '$fcrit' on line 87, col 36
                if _v is not None: write(_filter(_v, rawExpr='$fcrit')) # from line 87, col 36.
                write(''';flimit=''')
                _v = VFFSL(SL,"flimit",True) # '$flimit' on line 87, col 50
                if _v is not None: write(_filter(_v, rawExpr='$flimit')) # from line 87, col 50.
                write(''';freq_sort=''')
                _v = VFFSL(SL,"h",True)['s'] # "$h['s']" on line 87, col 68
                if _v is not None: write(_filter(_v, rawExpr="$h['s']")) # from line 87, col 68.
                write(''';ftt_include_empty=''')
                _v = VFFSL(SL,"ftt_include_empty",True) # '$ftt_include_empty' on line 87, col 94
                if _v is not None: write(_filter(_v, rawExpr='$ftt_include_empty')) # from line 87, col 94.
                write('''">
      ''')
                if False:
                    _(VFFSL(SL,"h",True)['n'])
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"h",True)['n']) # "$_($h['n'])" on line 88, col 7
                if _v is not None: write(_filter(_v, rawExpr="$_($h['n'])")) # from line 88, col 7.
                write('''</a>
    </th>
''')
            write('''  </tr>

''')
            for i in VFN(VFFSL(SL,"b",True),"get",False)('Items', []): # generated from line 93, col 3
                if len(VFFSL(SL,"i",True)['Word'][0]['n']) == 0: # generated from line 94, col 5
                    continue
                write('''  <tr
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('class'): # generated from line 98, col 5
                    write('''      class="''')
                    _v = VFFSL(SL,"i",True)['class'] # "$i['class']" on line 99, col 14
                    if _v is not None: write(_filter(_v, rawExpr="$i['class']")) # from line 99, col 14.
                    write('''"
''')
                write('''  >
    <td>
''')
                if VFN(VFFSL(SL,"i",True),"get",False)('pfilter', ''): # generated from line 103, col 5
                    write("""<a href='view?""")
                    _v = VFFSL(SL,"q",True) # '$q' on line 104, col 15
                    if _v is not None: write(_filter(_v, rawExpr='$q')) # from line 104, col 15.
                    write(''';''')
                    _v = VFFSL(SL,"globals",True) # '$globals' on line 104, col 18
                    if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 104, col 18.
                    write(''';''')
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('pfilter') # "$i.get('pfilter')" on line 104, col 27
                    if _v is not None: write(_filter(_v, rawExpr="$i.get('pfilter')")) # from line 104, col 27.
                    write("""'>p</a>/""")
                    if VFFSL(SL,"len",False)(VFN(VFFSL(SL,"b",True),"get",False)('Head')) < 3 and VFN(VFFSL(SL,"i",True),"get",False)('nfilter', ''): # generated from line 105, col 7
                        write("""<a href='view?""")
                        _v = VFFSL(SL,"q",True) # '$q' on line 106, col 15
                        if _v is not None: write(_filter(_v, rawExpr='$q')) # from line 106, col 15.
                        write(''';''')
                        _v = VFFSL(SL,"globals",True) # '$globals' on line 106, col 18
                        if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 106, col 18.
                        write(''';''')
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('nfilter') # "$i.get('nfilter')" on line 106, col 27
                        if _v is not None: write(_filter(_v, rawExpr="$i.get('nfilter')")) # from line 106, col 27.
                        write("""'>n</a></td>
""")
                    else: # generated from line 107, col 7
                        write('''<span class="disabled" title="Negative filters are disabled for multilevel freqs">n</span>
''')
                for w in VFFSL(SL,"i",True)['Word']: # generated from line 111, col 5
                    write('''      <td>''')
                    _v = VFFSL(SL,"w",True)['n'] # "$w['n']" on line 112, col 11
                    if _v is not None: write(_filter(_v, rawExpr="$w['n']")) # from line 112, col 11.
                    write('''</td>
''')
                write('''    <td align="right">''')
                _v = VFFSL(SL,"i",True)['freq'] # "$i['freq']" on line 114, col 23
                if _v is not None: write(_filter(_v, rawExpr="$i['freq']")) # from line 114, col 23.
                write('''</td>
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('rel'): # generated from line 115, col 5
                    write('''      <td align="right">''')
                    _v = VFFSL(SL,"i",True)['rel'] # "$i['rel']" on line 116, col 25
                    if _v is not None: write(_filter(_v, rawExpr="$i['rel']")) # from line 116, col 25.
                    write('''</td>
''')
                if VFFSL(SL,"i",True)['norel']: # generated from line 118, col 5
                    write('''      <td><div class="bar" style="height:10px;width:''')
                    _v = VFFSL(SL,"i",True)['fbar'] # "${i['fbar']}" on line 119, col 53
                    if _v is not None: write(_filter(_v, rawExpr="${i['fbar']}")) # from line 119, col 53.
                    write('''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # '$files_path' on line 119, col 86
                    if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 119, col 86.
                    write('''/img/red.png" class="hidden" height="10" width="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # "$i['fbar']" on line 119, col 145
                    if _v is not None: write(_filter(_v, rawExpr="$i['fbar']")) # from line 119, col 145.
                    write('''" alt="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # "${i['fbar']}" on line 119, col 162
                    if _v is not None: write(_filter(_v, rawExpr="${i['fbar']}")) # from line 119, col 162.
                    write('''" />
      </td>
''')
                else: # generated from line 121, col 5
                    write('''      <td><div class="bar" style="height:''')
                    _v = VFFSL(SL,"i",True)['freqbar'] # "${i['freqbar']}" on line 122, col 42
                    if _v is not None: write(_filter(_v, rawExpr="${i['freqbar']}")) # from line 122, col 42.
                    write('''px;width:''')
                    _v = VFFSL(SL,"i",True)['relbar'] # "${i['relbar']}" on line 122, col 66
                    if _v is not None: write(_filter(_v, rawExpr="${i['relbar']}")) # from line 122, col 66.
                    write('''px;"></div><img src="''')
                    _v = VFFSL(SL,"files_path",True) # '$files_path' on line 122, col 101
                    if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 122, col 101.
                    write('''/img/red.png" class="hidden" height="''')
                    _v = VFFSL(SL,"i",True)['freqbar'] # "$i['freqbar']" on line 122, col 149
                    if _v is not None: write(_filter(_v, rawExpr="$i['freqbar']")) # from line 122, col 149.
                    write('''" width="''')
                    _v = VFFSL(SL,"i",True)['relbar'] # "$i['relbar']" on line 122, col 171
                    if _v is not None: write(_filter(_v, rawExpr="$i['relbar']")) # from line 122, col 171.
                    write('''" alt="''')
                    _v = VFFSL(SL,"i",True)['relbar'] # "${i['relbar']}" on line 122, col 190
                    if _v is not None: write(_filter(_v, rawExpr="${i['relbar']}")) # from line 122, col 190.
                    write('''" /></td>
''')
                write('''  </tr>
''')
        write('''</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_57794189
        write('''
''')
        _orig_filter_20292155 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # '$navigation("next2")' on line 131, col 1
        if _v is not None: write(_filter(_v, rawExpr='$navigation("next2")')) # from line 131, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_20292155
        write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''




''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus = "'next'"

    _mainCheetahMethod_for_freqs= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freqs, '_initCheetahAttributes'):
    templateAPIClass = getattr(freqs, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freqs)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freqs()).run()


