#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393718.293875
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:38 2011'
__CHEETAH_src__ = 'templates/fullref.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Mar  3 23:26:49 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class fullref(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_26476743 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''

<table id="full_ref">
''')
        for r in VFFSL(SL,"Refs",True): # generated from line 5, col 1
            write('''  <tr><td><b>''')
            if False:
                _(VFFSL(SL,"r",True)['name'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"r",True)['name']) # "$_($r['name'])" on line 6, col 14
            if _v is not None: write(_filter(_v, rawExpr="$_($r['name'])")) # from line 6, col 14.
            write('''</b></td><td>
''')
            if VFN(VFFSL(SL,"r.val",True),"startswith",False)('http://'): # generated from line 7, col 3
                write('''    <a href="''')
                _v = VFFSL(SL,"r.val",True) # '$r.val' on line 8, col 14
                if _v is not None: write(_filter(_v, rawExpr='$r.val')) # from line 8, col 14.
                write('''">''')
                _v = VFFSL(SL,"r.val",True) # '$r.val' on line 8, col 22
                if _v is not None: write(_filter(_v, rawExpr='$r.val')) # from line 8, col 22.
                write('''</a>
''')
            else: # generated from line 9, col 3
                write('''    ''')
                if False:
                    _(VFFSL(SL,"r.val",True))
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"r.val",True)) # '$_($r.val)' on line 10, col 5
                if _v is not None: write(_filter(_v, rawExpr='$_($r.val)')) # from line 10, col 5.
                write('''
''')
            write('''  </td></tr>
''')
        write('''</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_26476743
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_fullref= 'respond'

## END CLASS DEFINITION

if not hasattr(fullref, '_initCheetahAttributes'):
    templateAPIClass = getattr(fullref, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(fullref)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=fullref()).run()


