#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393720.7373741
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:40 2011'
__CHEETAH_src__ = 'templates/saveconc.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Oct 29 11:56:31 2010'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class saveconc(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 1, col 1
            write('''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # '$corpencoding' on line 2, col 31
            if _v is not None: write(_filter(_v, rawExpr='$corpencoding')) # from line 2, col 31.
            write('''"?>

''')
            _orig_filter_49557710 = _filter
            filterName = 'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write('''<concordance>

''')
            if VFFSL(SL,"heading",True): # generated from line 7, col 1
                write('''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 9, col 13
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 9, col 13.
                write('''</corpus>
    <hits>''')
                _v = VFFSL(SL,"concsize",True) # '$concsize' on line 10, col 11
                if _v is not None: write(_filter(_v, rawExpr='$concsize')) # from line 10, col 11.
                write('''</hits>
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 12, col 3
                    _v = VFFSL(SL,"d",True)['arg'] # "$d['arg']" on line 13, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$d['arg']")) # from line 13, col 1.
                    write(''' ''')
                    _v = VFFSL(SL,"d",True)['size'] # "$d['size']" on line 13, col 11
                    if _v is not None: write(_filter(_v, rawExpr="$d['size']")) # from line 13, col 11.
                    write(''' ''')
                write('''</query>
  </heading>
''')
            #  kwic lines
            write('''<lines>
''')
            num = 0
            for l in VFFSL(SL,"Lines",True): # generated from line 21, col 1
                write('''  <line>
''')
                if VFFSL(SL,"numbering",True): # generated from line 23, col 3
                    num = VFFSL(SL,"num",True) + 1
                    write('''    <num>''')
                    _v = VFFSL(SL,"num",True) # '$num' on line 25, col 10
                    if _v is not None: write(_filter(_v, rawExpr='$num')) # from line 25, col 10.
                    write('''</num>
''')
                write('''    <ref>''')
                _v = VFFSL(SL,"l",True)['ref'] # "$l['ref']" on line 27, col 10
                if _v is not None: write(_filter(_v, rawExpr="$l['ref']")) # from line 27, col 10.
                write('''</ref>''')
                write('''<left_context>''')
                for ll in VFFSL(SL,"l",True)['Left']: # generated from line 29, col 5
                    if not (VFFSL(SL,"ll",True)['class'] == 'strc'):
                        _v = VFFSL(SL,"ll",True)['str'] # "$ll['str']" on line 31, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$ll['str']")) # from line 31, col 1.
                        write(''' ''')
                write('''</left_context><kwic>''')
                for kw in VFFSL(SL,"l",True)['Kwic']: # generated from line 35, col 5
                    _v = VFFSL(SL,"kw",True)['str'] # "$kw['str']" on line 36, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$kw['str']")) # from line 36, col 1.
                    write(''' ''')
                write('''</kwic><right_context>''')
                for rr in VFFSL(SL,"l",True)['Right']: # generated from line 39, col 5
                    if not (VFFSL(SL,"rr",True)['class'] == 'strc'):
                        _v = VFFSL(SL,"rr",True)['str'] # "$rr['str']" on line 41, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$rr['str']")) # from line 41, col 1.
                        write(''' ''')
                write('''</right_context>
  </line>
''')
            write('''</lines>

</concordance>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_49557710
        else: # generated from line 52, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 54, col 1
                write('''# Corpus: ''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 55, col 12
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 55, col 12.
                write('''
# Hits:   ''')
                _v = VFFSL(SL,"concsize",True) # '$concsize' on line 56, col 12
                if _v is not None: write(_filter(_v, rawExpr='$concsize')) # from line 56, col 12.
                write('''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 57, col 3
                    write('''#      ''')
                    _v = VFFSL(SL,"d",True)['op'] # "$d['op']" on line 58, col 9
                    if _v is not None: write(_filter(_v, rawExpr="$d['op']")) # from line 58, col 9.
                    write('''    ''')
                    _v = VFFSL(SL,"d",True)['arg'] # "$d['arg']" on line 58, col 21
                    if _v is not None: write(_filter(_v, rawExpr="$d['arg']")) # from line 58, col 21.
                    write(''' ''')
                    _v = VFFSL(SL,"d",True)['size'] # "$d['size']" on line 58, col 31
                    if _v is not None: write(_filter(_v, rawExpr="$d['size']")) # from line 58, col 31.
                    write('''
''')
                write('''

''')
            #  kwic lines
            num = 0
            for l in VFFSL(SL,"Lines",True): # generated from line 65, col 1
                if VFFSL(SL,"numbering",True): # generated from line 66, col 3
                    num = VFFSL(SL,"num",True) + 1
                    _v = VFFSL(SL,"num",True) # '$num' on line 68, col 1
                    if _v is not None: write(_filter(_v, rawExpr='$num')) # from line 68, col 1.
                    write('''\t''')
                _v = VFFSL(SL,"l",True)['ref'] # "$l['ref']" on line 70, col 1
                if _v is not None: write(_filter(_v, rawExpr="$l['ref']")) # from line 70, col 1.
                write('''\t''')
                if VFFSL(SL,"align_kwic",True): # generated from line 71, col 3
                    _v = VFFSL(SL,"l",True)['leftspace'] # "$l['leftspace']" on line 72, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$l['leftspace']")) # from line 72, col 1.
                    write(''' ''')
                for ll in VFFSL(SL,"l",True)['Left']: # generated from line 74, col 5
                    if not (VFFSL(SL,"ll",True)['class'] == 'strc'):
                        _v = VFFSL(SL,"ll",True)['str'] # "$ll['str']" on line 76, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$ll['str']")) # from line 76, col 1.
                        write(''' ''')
                write('''<''')
                for kw in VFFSL(SL,"l",True)['Kwic']: # generated from line 80, col 5
                    _v = VFFSL(SL,"kw",True)['str'] # "$kw['str']" on line 81, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$kw['str']")) # from line 81, col 1.
                    write(''' ''')
                write('''>''')
                if VFFSL(SL,"annotconc",True): # generated from line 84, col 5
                    write('''[''')
                    _v = VFFSL(SL,"l",True)['linegroup'] # "${l['linegroup']}" on line 85, col 2
                    if _v is not None: write(_filter(_v, rawExpr="${l['linegroup']}")) # from line 85, col 2.
                    write(''']
''')
                for rr in VFFSL(SL,"l",True)['Right']: # generated from line 87, col 5
                    if not (VFFSL(SL,"rr",True)['class'] == 'strc'):
                        _v = VFFSL(SL,"rr",True)['str'] # "$rr['str']" on line 89, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$rr['str']")) # from line 89, col 1.
                        write(''' ''')
                write('''
''')
            write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_saveconc= 'respond'

## END CLASS DEFINITION

if not hasattr(saveconc, '_initCheetahAttributes'):
    templateAPIClass = getattr(saveconc, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(saveconc)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=saveconc()).run()


