#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393720.963587
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:40 2011'
__CHEETAH_src__ = 'templates/savefreq.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Oct 29 11:56:31 2010'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savefreq(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 1, col 1
            _orig_filter_46920479 = _filter
            filterName = 'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            #  XML
            write('''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # '$corpencoding' on line 4, col 31
            if _v is not None: write(_filter(_v, rawExpr='$corpencoding')) # from line 4, col 31.
            write('''"?>

<frequency>
''')
            if VFFSL(SL,"heading",True): # generated from line 7, col 1
                write('''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 9, col 13
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 9, col 13.
                write('''</corpus>
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 11, col 5
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('arg') # "$d.get('arg')" on line 12, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$d.get('arg')")) # from line 12, col 1.
                write('''</query>
  </heading>
''')
            for b in VFFSL(SL,"Blocks",True): # generated from line 18, col 3
                write('''  <block>
    <name>''')
                _v = VFFSL(SL,"b",True)['blockname'] # "$b['blockname']" on line 20, col 11
                if _v is not None: write(_filter(_v, rawExpr="$b['blockname']")) # from line 20, col 11.
                write('''</name>
    <items>
''')
                for i in VFFSL(SL,"b",True)['Items']: # generated from line 22, col 7
                    write('''      <item>
''')
                    for w in VFFSL(SL,"i",True)['Word']: # generated from line 24, col 9
                        write('''\t  <str>''')
                        _v = VFFSL(SL,"w.n",True) # '$w.n' on line 25, col 9
                        if _v is not None: write(_filter(_v, rawExpr='$w.n')) # from line 25, col 9.
                        write('''</str>
''')
                    write('''\t  <freq>''')
                    _v = VFFSL(SL,"i.freq",True) # '$i.freq' on line 27, col 10
                    if _v is not None: write(_filter(_v, rawExpr='$i.freq')) # from line 27, col 10.
                    write('''</freq>
''')
                    if not (VFFSL(SL,"ml",True)):
                        write('''\t  <rel>''')
                        _v = VFFSL(SL,"i.rel",True) # '$i.rel' on line 29, col 9
                        if _v is not None: write(_filter(_v, rawExpr='$i.rel')) # from line 29, col 9.
                        write('''</rel>
''')
                    write('''      </item>
''')
                write('''    </items>
  </block>
''')
            write('''</frequency>

''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_46920479
        else: # generated from line 39, col 1
            #  text
            if VFFSL(SL,"heading",True): # generated from line 41, col 1
                write('''# Frequency list

# Corpus: ''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 44, col 12
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 44, col 12.
                write('''
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 45, col 3
                    write('''# ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('op') # "$d.get('op')" on line 46, col 4
                    if _v is not None: write(_filter(_v, rawExpr="$d.get('op')")) # from line 46, col 4.
                    write(''':  ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('arg') # "$d.get('arg')" on line 46, col 19
                    if _v is not None: write(_filter(_v, rawExpr="$d.get('arg')")) # from line 46, col 19.
                    write(''' ''')
                    _v = VFN(VFFSL(SL,"d",True),"get",False)('size') # "$d.get('size')" on line 46, col 33
                    if _v is not None: write(_filter(_v, rawExpr="$d.get('size')")) # from line 46, col 33.
                    write('''
''')
                write('''
# Frequency limit: ''')
                _v = VFFSL(SL,"flimit",True) # '$flimit' on line 49, col 21
                if _v is not None: write(_filter(_v, rawExpr='$flimit')) # from line 49, col 21.
                write('''

''')
            for b in VFFSL(SL,"Blocks",True): # generated from line 52, col 1
                write('''
''')
                for h in VFFSL(SL,"b",True)['Head']: # generated from line 54, col 3
                    _v = VFN(VFFSL(SL,"h",True),"get",False)('n') # "$h.get('n')" on line 55, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$h.get('n')")) # from line 55, col 1.
                    write('''\t''')
                write('''
-------------------------------------------------------
''')
                for i in VFFSL(SL,"b",True)['Items']: # generated from line 59, col 3
                    for w in VFFSL(SL,"i",True)['Word']: # generated from line 60, col 5
                        _v = VFN(VFFSL(SL,"w",True),"get",False)('n') # "$w.get('n')" on line 61, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$w.get('n')")) # from line 61, col 1.
                        write('''\t''')
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('freq') # "$i.get('freq')" on line 63, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$i.get('freq')")) # from line 63, col 1.
                    write('''\t''')
                    if not (VFFSL(SL,"ml",True)):
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('rel') # "$i.get('rel')" on line 65, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$i.get('rel')")) # from line 65, col 1.
                        write('''
''')
                    else: # generated from line 66, col 5
                        write('''
''')
            write('''
''')
        write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savefreq= 'respond'

## END CLASS DEFINITION

if not hasattr(savefreq, '_initCheetahAttributes'):
    templateAPIClass = getattr(savefreq, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savefreq)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savefreq()).run()


