#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393721.0980649
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:41 2011'
__CHEETAH_src__ = 'templates/savewl.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Oct 29 11:56:31 2010'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class savewl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 1, col 1
            _orig_filter_36824203 = _filter
            filterName = 'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            #  XML format
            write("""<?xml version='1.0' encoding='""")
            _v = VFFSL(SL,"corpencoding",True) # '$corpencoding' on line 4, col 31
            if _v is not None: write(_filter(_v, rawExpr='$corpencoding')) # from line 4, col 31.
            write("""'?>

""")
            if VFFSL(SL,"keywords",True): # generated from line 6, col 1
                write('''<keywords>
''')
            else: # generated from line 8, col 1
                write('''<word_list>
''')
            if VFFSL(SL,"heading",True): # generated from line 11, col 1
                write('''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 13, col 13
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 13, col 13.
                write('''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 14, col 3
                    write('''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 15, col 16
                    if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 15, col 16.
                    write('''</subcorpus>
''')
                if VFFSL(SL,"keywords",True): # generated from line 17, col 3
                    write('''    <ref_corpus>''')
                    _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 18, col 17
                    if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 18, col 17.
                    write('''</ref_corpus>
''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 19, col 5
                        write('''    <ref_subcorpus>''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 20, col 20
                        if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 20, col 20.
                        write('''</ref_subcorpus>
''')
                write('''  </heading>
''')
            if VFFSL(SL,"Items",True): # generated from line 25, col 1
                write('''  <items attr="''')
                _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 26, col 16
                if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 26, col 16.
                write('''">
''')
                for i in VFFSL(SL,"Items",True): # generated from line 27, col 3
                    write('''    <item>
      <str>''')
                    _v = VFFSL(SL,"i",True)['str'] # "$i['str']" on line 29, col 12
                    if _v is not None: write(_filter(_v, rawExpr="$i['str']")) # from line 29, col 12.
                    write('''</str>
      <freq>''')
                    _v = VFFSL(SL,"i",True)['freq'] # "$i['freq']" on line 30, col 13
                    if _v is not None: write(_filter(_v, rawExpr="$i['freq']")) # from line 30, col 13.
                    write('''</freq>
    </item>
''')
                write('''  </items>
''')
            else: # generated from line 34, col 1
                if VFFSL(SL,"Keywords",True): # generated from line 35, col 1
                    write('''  <items attr="''')
                    _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 36, col 16
                    if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 36, col 16.
                    write('''">
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 37, col 3
                        write('''    <item>
      <str>''')
                        _v = VFFSL(SL,"k",True)['str'] # "$k['str']" on line 39, col 12
                        if _v is not None: write(_filter(_v, rawExpr="$k['str']")) # from line 39, col 12.
                        write('''</str>
      <freq>''')
                        _v = VFFSL(SL,"k",True)['freq'] # "$k['freq']" on line 40, col 13
                        if _v is not None: write(_filter(_v, rawExpr="$k['freq']")) # from line 40, col 13.
                        write('''</freq>
      <arf>''')
                        _v = VFFSL(SL,"k",True)['arf'] # "$k['arf']" on line 41, col 12
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf']")) # from line 41, col 12.
                        write('''</arf>
      <arf_mill>''')
                        _v = VFFSL(SL,"k",True)['arf_mill'] # "$k['arf_mill']" on line 42, col 17
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill']")) # from line 42, col 17.
                        write('''</arf_mill>
      <freq_ref>''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # "$k.get('freq_ref', '0')" on line 43, col 17
                        if _v is not None: write(_filter(_v, rawExpr="$k.get('freq_ref', '0')")) # from line 43, col 17.
                        write('''</freq_ref>
      <arf_ref>''')
                        _v = VFFSL(SL,"k",True)['arf_ref'] # "$k['arf_ref']" on line 44, col 16
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_ref']")) # from line 44, col 16.
                        write('''</arf_ref>
      <arf_mill_ref>''')
                        _v = VFFSL(SL,"k",True)['arf_mill_ref'] # "$k['arf_mill_ref']" on line 45, col 21
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill_ref']")) # from line 45, col 21.
                        write('''</arf_mill_ref>
      <score>''')
                        _v = VFFSL(SL,"k",True)['score'] # "$k['score']" on line 46, col 14
                        if _v is not None: write(_filter(_v, rawExpr="$k['score']")) # from line 46, col 14.
                        write('''</score>
    </item>
''')
                    write('''</items>
''')
            if VFFSL(SL,"keywords",True): # generated from line 52, col 1
                write('''</keywords>
''')
            else: # generated from line 54, col 1
                write('''</word_list>
''')
            write('''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_36824203
        else: # generated from line 59, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 61, col 1
                if VFFSL(SL,"keywords",True): # generated from line 62, col 3
                    write('''# Keywords
''')
                else: # generated from line 64, col 3
                    write('''# Word List
''')
                write('''
# Corpus:    ''')
                _v = VFFSL(SL,"corpname",True) # '$corpname' on line 68, col 15
                if _v is not None: write(_filter(_v, rawExpr='$corpname')) # from line 68, col 15.
                write('''

''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 70, col 3
                    write('''# Subcorpus: ''')
                    _v = VFFSL(SL,"usesubcorp",True) # '$usesubcorp' on line 71, col 15
                    if _v is not None: write(_filter(_v, rawExpr='$usesubcorp')) # from line 71, col 15.
                    write('''
''')
                if VFFSL(SL,"keywords",True): # generated from line 73, col 3
                    write('''# Reference corpus:    ''')
                    _v = VFFSL(SL,"ref_corpname",True) # '$ref_corpname' on line 74, col 25
                    if _v is not None: write(_filter(_v, rawExpr='$ref_corpname')) # from line 74, col 25.
                    write('''

''')
                    if VFFSL(SL,"ref_usesubcorp",True): # generated from line 76, col 5
                        write('''# Reference subcorpus: ''')
                        _v = VFFSL(SL,"ref_usesubcorp",True) # '$ref_usesubcorp' on line 77, col 25
                        if _v is not None: write(_filter(_v, rawExpr='$ref_usesubcorp')) # from line 77, col 25.
                        write('''
''')
                write('''
''')
            write('''
''')
            if VFFSL(SL,"Items",True): # generated from line 83, col 1
                _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 84, col 1
                if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 84, col 1.
                write('''\tFreq
------------------------------
''')
                for i in VFFSL(SL,"Items",True): # generated from line 86, col 3
                    _v = VFFSL(SL,"i",True)['str'] # "$i['str']" on line 87, col 1
                    if _v is not None: write(_filter(_v, rawExpr="$i['str']")) # from line 87, col 1.
                    write('''\t''')
                    _v = VFFSL(SL,"i",True)['freq'] # "$i['freq']" on line 87, col 11
                    if _v is not None: write(_filter(_v, rawExpr="$i['freq']")) # from line 87, col 11.
                    write('''
''')
            else: # generated from line 89, col 1
                write('''
''')
                if VFFSL(SL,"Keywords",True): # generated from line 91, col 3
                    _v = VFFSL(SL,"wlattr",True) # '$wlattr' on line 92, col 1
                    if _v is not None: write(_filter(_v, rawExpr='$wlattr')) # from line 92, col 1.
                    write('''\tFreq\tARF\tARF/mill\tFreq_ref\tARF_ref\tARF/mil_ref\tScore
----------------------------------------------------------------------------------
''')
                    for k in VFFSL(SL,"Keywords",True): # generated from line 94, col 5
                        _v = VFFSL(SL,"k",True)['str'] # "$k['str']" on line 95, col 1
                        if _v is not None: write(_filter(_v, rawExpr="$k['str']")) # from line 95, col 1.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['freq'] # "$k['freq']" on line 95, col 11
                        if _v is not None: write(_filter(_v, rawExpr="$k['freq']")) # from line 95, col 11.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['arf'] # "$k['arf']" on line 95, col 22
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf']")) # from line 95, col 22.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['arf_mill'] # "$k['arf_mill']" on line 95, col 32
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill']")) # from line 95, col 32.
                        write('''\t''')
                        _v = VFN(VFFSL(SL,"k",True),"get",False)('freq_ref', '0') # "$k.get('freq_ref', '0')" on line 95, col 47
                        if _v is not None: write(_filter(_v, rawExpr="$k.get('freq_ref', '0')")) # from line 95, col 47.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['arf_ref'] # "$k['arf_ref']" on line 95, col 71
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_ref']")) # from line 95, col 71.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['arf_mill_ref'] # "$k['arf_mill_ref']" on line 95, col 85
                        if _v is not None: write(_filter(_v, rawExpr="$k['arf_mill_ref']")) # from line 95, col 85.
                        write('''\t''')
                        _v = VFFSL(SL,"k",True)['score'] # "$k['score']" on line 95, col 104
                        if _v is not None: write(_filter(_v, rawExpr="$k['score']")) # from line 95, col 104.
                        write('''
''')
            write('''
''')
        write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_savewl= 'respond'

## END CLASS DEFINITION

if not hasattr(savewl, '_initCheetahAttributes'):
    templateAPIClass = getattr(savewl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(savewl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=savewl()).run()


