#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.leftmenu import leftmenu

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1306393720.0555999
__CHEETAH_genTimestamp__ = 'Thu May 26 09:08:40 2011'
__CHEETAH_src__ = 'templates/wordlist_form.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Apr  4 08:41:20 2011'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist_form(leftmenu):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        leftmenu.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word List Form")
        _v = VFFSL(SL,"_",False)("Word List Form") # '$_("Word List Form")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$_("Word List Form")')) # from line 5, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_62878972 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<script src="''')
        _v = VFFSL(SL,"files_path",True) # '$files_path' on line 12, col 14
        if _v is not None: write(_filter(_v, rawExpr='$files_path')) # from line 12, col 14.
        write('''/js/prototype-1.3.1.js" type="text/javascript"></script>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_62878972
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 16, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_26056817 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 18, col 5
            write('''    <li class="context_help"><a href="''')
            _v = VFFSL(SL,"helpsite",True) # '${helpsite}' on line 19, col 39
            if _v is not None: write(_filter(_v, rawExpr='${helpsite}')) # from line 19, col 39.
            write('''WordList" rel="help">''')
            if False:
                _("? Help on Word Lists")
            _v = VFFSL(SL,"_",False)("? Help on Word Lists") # '$_("? Help on Word Lists")' on line 19, col 71
            if _v is not None: write(_filter(_v, rawExpr='$_("? Help on Word Lists")')) # from line 19, col 71.
            write('''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_26056817
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu(self, **KWS):



        ## CHEETAH: generated from #def left_submenu at line 24, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_55885005 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''    <li><a title="''')
        if False:
            _("Compute a list of all words")
        _v = VFFSL(SL,"_",False)("Compute a list of all words") # '$_("Compute a list of all words")' on line 26, col 19
        if _v is not None: write(_filter(_v, rawExpr='$_("Compute a list of all words")')) # from line 26, col 19.
        write('''" href="wordlist?''')
        _v = VFFSL(SL,"globals",True) # '$globals' on line 26, col 69
        if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 26, col 69.
        write(''';wlattr=word;wlsort=f">''')
        if False:
            _("All words")
        _v = VFFSL(SL,"_",False)("All words") # '$_("All words")' on line 26, col 100
        if _v is not None: write(_filter(_v, rawExpr='$_("All words")')) # from line 26, col 100.
        write('''</a></li>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 27, col 3
            write('''    <li><a title="''')
            if False:
                _("Compute a list of all lemmas")
            _v = VFFSL(SL,"_",False)("Compute a list of all lemmas") # '$_("Compute a list of all lemmas")' on line 28, col 19
            if _v is not None: write(_filter(_v, rawExpr='$_("Compute a list of all lemmas")')) # from line 28, col 19.
            write('''" href="wordlist?''')
            _v = VFFSL(SL,"globals",True) # '$globals' on line 28, col 70
            if _v is not None: write(_filter(_v, rawExpr='$globals')) # from line 28, col 70.
            write(''';wlattr=lemma;wlsort=f">''')
            if False:
                _("All lemmas")
            _v = VFFSL(SL,"_",False)("All lemmas") # '$_("All lemmas")' on line 28, col 102
            if _v is not None: write(_filter(_v, rawExpr='$_("All lemmas")')) # from line 28, col 102.
            write('''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_55885005
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 33, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_70431557 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write("""select_output_type('""")
        _v = VFFSL(SL,"wltype",True) # '$wltype' on line 35, col 21
        if _v is not None: write(_filter(_v, rawExpr='$wltype')) # from line 35, col 21.
        write("""');""")
        _filter = self._CHEETAH__currentFilter = _orig_filter_70431557
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 40, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_25721580 = _filter
        filterName = 'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''<h3>''')
        if False:
            _("Word list options")
        _v = VFFSL(SL,"_",False)("Word list options") # '$_("Word list options")' on line 42, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Word list options")')) # from line 42, col 5.
        write('''</h3>
<form action="wordlist" id="wordlist_form" method="post" enctype="multipart/form-data">
<fieldset>
''')
        _orig_filter_38150664 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # '$input_hidden' on line 46, col 1
        if _v is not None: write(_filter(_v, rawExpr='$input_hidden')) # from line 46, col 1.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_38150664
        write('''  <input type="hidden" name="wlmaxitems" value="100" />
  <input type="hidden" name="wlsort" value="f" />
  <input type="hidden" name="subcnorm" value="freq" />
<table class="form">
''')
        _orig_filter_83714297 = _filter
        _filter = self._CHEETAH__initialFilter
        write('''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # '$corp_sel_node' on line 53, col 3
        if _v is not None: write(_filter(_v, rawExpr='$corp_sel_node')) # from line 53, col 3.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_83714297
        write('''<tr class="required">
  <th align="left">''')
        if False:
            _("Subcorpus")
        _v = VFFSL(SL,"_",False)("Subcorpus") # '$_("Subcorpus")' on line 56, col 20
        if _v is not None: write(_filter(_v, rawExpr='$_("Subcorpus")')) # from line 56, col 20.
        write(''':</th>
  <td>
''')
        _orig_filter_74243714 = _filter
        _filter = self._CHEETAH__initialFilter
        write('''  ''')
        _v = VFFSL(SL,"subcorp_sel",True) # '$subcorp_sel' on line 59, col 3
        if _v is not None: write(_filter(_v, rawExpr='$subcorp_sel')) # from line 59, col 3.
        write('''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_74243714
        write('''  <br/></td>
</tr>
<tr class="required">
<th>''')
        if False:
            _("Search attribute")
        _v = VFFSL(SL,"_",False)("Search attribute") # '$_("Search attribute")' on line 64, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Search attribute")')) # from line 64, col 5.
        write(''':</th>
  <td><select name="wlattr">
  <optgroup label="Positional Attributes">
''')
        for a in VFFSL(SL,"Attrlist",True): # generated from line 67, col 3
            selected = (VFFSL(SL,"a",True)['n'] == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write('''    <option value="''')
            _v = VFFSL(SL,"a",True)['n'] # "$a['n']" on line 69, col 20
            if _v is not None: write(_filter(_v, rawExpr="$a['n']")) # from line 69, col 20.
            write('''" ''')
            _v = VFFSL(SL,"selected",True) # '$selected' on line 69, col 29
            if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 69, col 29.
            write('''>''')
            if False:
                _(VFFSL(SL,"a",True)['label'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # "$_($a['label'])" on line 69, col 39
            if _v is not None: write(_filter(_v, rawExpr="$_($a['label'])")) # from line 69, col 39.
            write('''</option>
''')
        write('''  </optgroup>
  <optgroup label="Text Types">
''')
        for a in VFFSL(SL,"StructAttrList",True): # generated from line 73, col 3
            selected = (VFFSL(SL,"a",True)['n'] == VFFSL(SL,"wlattr",True)) and 'selected' or ''
            write('''    <option value="''')
            _v = VFFSL(SL,"a",True)['n'] # "$a['n']" on line 75, col 20
            if _v is not None: write(_filter(_v, rawExpr="$a['n']")) # from line 75, col 20.
            write('''" ''')
            _v = VFFSL(SL,"selected",True) # '$selected' on line 75, col 29
            if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 75, col 29.
            write('''>''')
            if False:
                _(VFFSL(SL,"a",True)['label'])
            _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # "$_($a['label'])" on line 75, col 39
            if _v is not None: write(_filter(_v, rawExpr="$_($a['label'])")) # from line 75, col 39.
            write('''</option>
''')
        write('''  </optgroup>
  </select></td>
</tr></table>
<hr />
<table class="form"><tr>
  <th>''')
        if False:
            _("Filter wordlist by")
        _v = VFFSL(SL,"_",False)("Filter wordlist by") # '$_("Filter wordlist by")' on line 82, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Filter wordlist by")')) # from line 82, col 7.
        write(''':</th><td title="Regular expression pattern">''')
        if False:
            _("RE pattern")
        _v = VFFSL(SL,"_",False)("RE pattern") # '$_("RE pattern")' on line 82, col 76
        if _v is not None: write(_filter(_v, rawExpr='$_("RE pattern")')) # from line 82, col 76.
        write(''':</td>
  <td><input type="text" name="wlpat" size="10" value="''')
        _v = VFFSL(SL,"wlpat",True) # '$wlpat' on line 83, col 56
        if _v is not None: write(_filter(_v, rawExpr='$wlpat')) # from line 83, col 56.
        write('''" id="wlpat" /></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Minimum frequency")
        _v = VFFSL(SL,"_",False)("Minimum frequency") # '$_("Minimum frequency")' on line 85, col 16
        if _v is not None: write(_filter(_v, rawExpr='$_("Minimum frequency")')) # from line 85, col 16.
        write(''':</td>
  <td><input type="text" name="wlminfreq" size="10" value="''')
        _v = VFFSL(SL,"wlminfreq",True) # '$wlminfreq' on line 86, col 60
        if _v is not None: write(_filter(_v, rawExpr='$wlminfreq')) # from line 86, col 60.
        write('''" /></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Whitelist")
        _v = VFFSL(SL,"_",False)("Whitelist") # '$_("Whitelist")' on line 88, col 16
        if _v is not None: write(_filter(_v, rawExpr='$_("Whitelist")')) # from line 88, col 16.
        write(''':</td>
  <td><input type="file" name="wlfile" size="30" id="wlfile" /></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Blacklist")
        _v = VFFSL(SL,"_",False)("Blacklist") # '$_("Blacklist")' on line 91, col 16
        if _v is not None: write(_filter(_v, rawExpr='$_("Blacklist")')) # from line 91, col 16.
        write(''':</td>
  <td><input type="file" name="wlblacklist" size="30" id="wlblacklist" />
    <a href="" onclick="show_help_format();return false;">''')
        if False:
            _("format")
        _v = VFFSL(SL,"_",False)("format") # '$_("format")' on line 93, col 59
        if _v is not None: write(_filter(_v, rawExpr='$_("format")')) # from line 93, col 59.
        write('''</a>
    <td><div  id="help_format" class="css_format_help">
    ''')
        if False:
            _("Wordlist whitelists and blacklists must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")
        _v = VFFSL(SL,"_",False)("Wordlist whitelists and blacklists must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.") # '$_("Wordlist whitelists and blacklists must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")' on line 95, col 5
        if _v is not None: write(_filter(_v, rawExpr='$_("Wordlist whitelists and blacklists must be plain text (.txt), with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")')) # from line 95, col 5.
        write('''
    </div></td>
  </td>
</tr><tr><td colspan="3">
''')
        checked = VFFSL(SL,"int",False)(VFFSL(SL,"include_nonwords",True)) and 'checked' or ''
        write('''<label><input type="checkbox" name="include_nonwords" value="1" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 100, col 65
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 100, col 65.
        write(''' />''')
        if False:
            _("Include non-words")
        _v = VFFSL(SL,"_",False)("Include non-words") # '$_("Include non-words")' on line 100, col 76
        if _v is not None: write(_filter(_v, rawExpr='$_("Include non-words")')) # from line 100, col 76.
        write('''</label>
</td></tr></table>
<hr />
<table class="form"><tr class="required">
  <th>''')
        if False:
            _("Frequency figures")
        _v = VFFSL(SL,"_",False)("Frequency figures") # '$_("Frequency figures")' on line 104, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Frequency figures")')) # from line 104, col 7.
        write(''':</th>
  <td colspan="2">
''')
        checked = (VFFSL(SL,"wlnums",True) == 'frq') and 'checked' or ''
        write('''  <label><input type="radio" name="wlnums" value="frq" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 107, col 56
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 107, col 56.
        write(''' />''')
        if False:
            _("Word counts")
        _v = VFFSL(SL,"_",False)("Word counts") # '$_("Word counts")' on line 107, col 67
        if _v is not None: write(_filter(_v, rawExpr='$_("Word counts")')) # from line 107, col 67.
        write('''</label>
''')
        checked = (VFFSL(SL,"wlnums",True) == 'docf') and 'checked' or ''
        write('''  <label><input type="radio" name="wlnums" value="docf" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 109, col 57
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 109, col 57.
        write(''' />''')
        if False:
            _("Document counts")
        _v = VFFSL(SL,"_",False)("Document counts") # '$_("Document counts")' on line 109, col 68
        if _v is not None: write(_filter(_v, rawExpr='$_("Document counts")')) # from line 109, col 68.
        write('''</label>
''')
        checked = (VFFSL(SL,"wlnums",True) == 'arf') and 'checked' or ''
        write('''  <label><input type="radio" name="wlnums" value="arf" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 111, col 56
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 111, col 56.
        write(''' />''')
        if False:
            _("ARF")
        _v = VFFSL(SL,"_",False)("ARF") # '$_("ARF")' on line 111, col 67
        if _v is not None: write(_filter(_v, rawExpr='$_("ARF")')) # from line 111, col 67.
        write('''</label>
  </td>
</tr><tr class="required">
  <th>''')
        if False:
            _("Output type")
        _v = VFFSL(SL,"_",False)("Output type") # '$_("Output type")' on line 114, col 7
        if _v is not None: write(_filter(_v, rawExpr='$_("Output type")')) # from line 114, col 7.
        write(''':</th>
''')
        checked = (VFFSL(SL,"wltype",True) == 'simple') and 'checked' or ''
        write('''  <td><label onclick="select_output_type(\'simple\')"><input type="radio" name="wltype" value="simple" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 116, col 102
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 116, col 102.
        write(''' id="wltype_simple">''')
        if False:
            _("Simple")
        _v = VFFSL(SL,"_",False)("Simple") # '$_("Simple")' on line 116, col 130
        if _v is not None: write(_filter(_v, rawExpr='$_("Simple")')) # from line 116, col 130.
        write('''</label></td>
</tr><tr>
''')
        checked = (VFFSL(SL,"wltype",True) == 'keywords') and 'checked' or ''
        write('''  <td></td><td><label onclick="select_output_type(\'keywords\')"><input type="radio" name="wltype" value="keywords" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 119, col 115
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 119, col 115.
        write('''  id="wltype_keywords">''')
        if False:
            _("Keywords")
        _v = VFFSL(SL,"_",False)("Keywords") # '$_("Keywords")' on line 119, col 146
        if _v is not None: write(_filter(_v, rawExpr='$_("Keywords")')) # from line 119, col 146.
        write('''</label></td>
</tr><tr>
  <td></td><td style="padding-left: 4em;">''')
        if False:
            _("Reference (sub)corpus")
        _v = VFFSL(SL,"_",False)("Reference (sub)corpus") # '$_("Reference (sub)corpus")' on line 121, col 43
        if _v is not None: write(_filter(_v, rawExpr='$_("Reference (sub)corpus")')) # from line 121, col 43.
        write('''</td>
  <td>
''')
        if not VFFSL(SL,"getVar",False)('CompatibleCorpora', []): # generated from line 123, col 3
            CompatibleCorpora = VFFSL(SL,"Corplist",True)
        write('''  <select name="ref_corpname" id="ref_corpname"
    onchange="this.form.reload.value=1; if(this.form.ref_usesubcorp) this.form.ref_usesubcorp.value=\'\'; this.form.submit();"
  >
''')
        for c in VFFSL(SL,"CompatibleCorpora",True): # generated from line 129, col 5
            selected = (VFFSL(SL,"c",True)['id'] == VFFSL(SL,"ref_corpname",True)) and 'selected="selected"' or ''
            write('''      <option value="''')
            _v = VFFSL(SL,"c",True)['id'] # "$c['id']" on line 131, col 22
            if _v is not None: write(_filter(_v, rawExpr="$c['id']")) # from line 131, col 22.
            write('''" ''')
            _v = VFFSL(SL,"selected",True) # '$selected' on line 131, col 32
            if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 131, col 32.
            write('''>''')
            _v = VFFSL(SL,"c",True)['name'] # "$c['name']" on line 131, col 42
            if _v is not None: write(_filter(_v, rawExpr="$c['name']")) # from line 131, col 42.
            write('''</option>
''')
        write('''  </select>
  <select name="ref_usesubcorp" id="ref_usesubcorp">
    <option value="">(''')
        if False:
            _("whole corpus")
        _v = VFFSL(SL,"_",False)("whole corpus") # '$_("whole corpus")' on line 135, col 23
        if _v is not None: write(_filter(_v, rawExpr='$_("whole corpus")')) # from line 135, col 23.
        write(''')</option>
''')
        if VFFSL(SL,"RefSubcorp",True): # generated from line 136, col 3
            for l in VFFSL(SL,"RefSubcorp",True): # generated from line 137, col 5
                write('''       <option>''')
                _v = VFFSL(SL,"l",True)['n'] # "$l['n']" on line 138, col 16
                if _v is not None: write(_filter(_v, rawExpr="$l['n']")) # from line 138, col 16.
                write('''</option>
''')
        write('''  </select>
</tr><tr>
  <td></td><th style="padding-left: 4em;">''')
        if False:
            _("SimpleMaths parameter N")
        _v = VFFSL(SL,"_",False)("SimpleMaths parameter N") # '$_("SimpleMaths parameter N")' on line 143, col 43
        if _v is not None: write(_filter(_v, rawExpr='$_("SimpleMaths parameter N")')) # from line 143, col 43.
        write(''':</th>
  <td><input type="text" name="simple_n" value="''')
        _v = VFFSL(SL,"simple_n",True) # '$simple_n' on line 144, col 49
        if _v is not None: write(_filter(_v, rawExpr='$simple_n')) # from line 144, col 49.
        write('''" id="simple_n" /></td>
</tr><tr>
''')
        checked = (VFFSL(SL,"wltype",True) == 'multilevel') and 'checked' or ''
        write('''  <td></td><td><label onclick="select_output_type(\'multilevel\')"><input type="radio" name="wltype" value="multilevel" ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 147, col 119
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 147, col 119.
        write(''' id="wltype_multilevel">''')
        if False:
            _("Multilevel")
        _v = VFFSL(SL,"_",False)("Multilevel") # '$_("Multilevel")' on line 147, col 151
        if _v is not None: write(_filter(_v, rawExpr='$_("Multilevel")')) # from line 147, col 151.
        write('''</label></td>
</tr><tr>
  <td></td><td colspan="2" style="padding-left: 4em;">
''')
        for i in VFFSL(SL,"range",False)(1,4): # generated from line 150, col 3
            write('''    <select name="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # '$i' on line 151, col 32
            if _v is not None: write(_filter(_v, rawExpr='$i')) # from line 151, col 32.
            write('''" id="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # '$i' on line 151, col 53
            if _v is not None: write(_filter(_v, rawExpr='$i')) # from line 151, col 53.
            write('''">
    <option value="">---</option>
''')
            for a in VFFSL(SL,"Attrlist",True): # generated from line 153, col 5
                selected = ''
                write('''      <option value="''')
                _v = VFFSL(SL,"a",True)['n'] # "$a['n']" on line 155, col 22
                if _v is not None: write(_filter(_v, rawExpr="$a['n']")) # from line 155, col 22.
                write('''" ''')
                _v = VFFSL(SL,"selected",True) # '$selected' on line 155, col 31
                if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 155, col 31.
                write('''>''')
                if False:
                    _(VFFSL(SL,"a",True)['label'])
                _v = VFFSL(SL,"_",False)(VFFSL(SL,"a",True)['label']) # "$_($a['label'])" on line 155, col 41
                if _v is not None: write(_filter(_v, rawExpr="$_($a['label'])")) # from line 155, col 41.
                write('''</option>
''')
            write('''    </select>
''')
        write('''  </td>
</tr></table>
<input class="submit" type="submit" value="''')
        if False:
            _("Make Word List")
        _v = VFFSL(SL,"_",False)("Make Word List") # '$_("Make Word List")' on line 161, col 44
        if _v is not None: write(_filter(_v, rawExpr='$_("Make Word List")')) # from line 161, col 44.
        write('''" />
</fieldset>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_25721580
        write('''
<script type="text/javascript">
window.onload = select_output_type();

function select_output_type() {
  var wltypes = [\'wltype_simple\', \'wltype_keywords\', \'wltype_multilevel\'];
  var kwinputs = [\'ref_corpname\', \'ref_usesubcorp\', \'simple_n\'];
  var mlinputs = [\'wlstruct_attr1\', \'wlstruct_attr2\', \'wlstruct_attr3\'];
  for(i=0;i<wltypes.length;i++) {
    if (document.getElementById(wltypes[i]).checked == true)
      { type = wltypes[i].split(\'_\')[1]; }
  }
  if (type == \'simple\') {
    document.getElementById("wordlist_form").action = "wordlist";
    for(i=0;i<kwinputs.length;i++)
      { document.getElementById(kwinputs[i]).disabled = true; }
    for(i=0;i<mlinputs.length;i++)
      { document.getElementById(mlinputs[i]).disabled = true; }
  } else if (type == \'keywords\') {
    document.getElementById("wordlist_form").action = "wordlist";
    for(i=0;i<kwinputs.length;i++)
      { document.getElementById(kwinputs[i]).disabled = false; }
    for(i=0;i<mlinputs.length;i++)
      { document.getElementById(mlinputs[i]).disabled = true; }
  } else if (type == \'multilevel\') {
    document.getElementById("wordlist_form").action = "struct_wordlist";
    for(i=0;i<kwinputs.length;i++)
      { document.getElementById(kwinputs[i]).disabled = true; }
    for(i=0;i<mlinputs.length;i++)
      { document.getElementById(mlinputs[i]).disabled = false; }
  }
}

function show_help_format() {
  help_div = document.getElementById(\'help_format\')
  if (help_div.style.visibility == \'visible\') {
    help_div.style.visibility = \'hidden\';
  } else {
    help_div.style.visibility = \'visible\';
  }
}
</script>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    focus ="'wlpat'"

    _mainCheetahMethod_for_wordlist_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist_form()).run()


